body,
html {
  margin: 0;
  height: 100%;
  width: 100%;
  padding: 0;
  box-sizing: border-box;
  font-size: 32px;
  font-family: Arial, Helvetica, sans-serif;
}

#canvas {
  width: 100vw;
  height: 100vh;
  position: absolute;
  z-index: -1;
}

#app {
  width: 100vw;
  height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  --n-bezier: cubic-bezier(0.4, 0, 0.2, 1);
  --n-bezier-ease-out: cubic-bezier(0, 0, 0.2, 1);
  --n-ripple-duration: 0.6s;
  --n-opacity-disabled: 0.5;
  --n-wave-opacity: 0.6;
  font-weight: 400;
  --n-color: #0000;
  --n-color-hover: #0000;
  --n-color-pressed: #0000;
  --n-color-focus: #0000;
  --n-color-disabled: #0000;
  --n-ripple-color: #18a058;
  --n-text-color: rgb(0, 0, 0);
  --n-text-color-hover: #36ad6a;
  --n-text-color-pressed: #0c7a43;
  --n-text-color-focus: #36ad6a;
  --n-text-color-disabled: rgb(51, 54, 57);
  --n-border: 1px solid rgb(224, 224, 230);
  --n-border-hover: 1px solid #36ad6a;
  --n-border-pressed: 1px solid #0c7a43;
  --n-border-focus: 1px solid #36ad6a;
  --n-border-disabled: 1px solid rgb(224, 224, 230);
  --n-width: initial;
  --n-height: 2.5rem;
  --n-font-size: 1rem;
  --n-padding: 0 1rem;
  --n-icon-size: 1rem;
  --n-icon-margin: 6px;
  --n-border-radius: 3px;
  box-sizing: border-box;
}

footer {
  position: fixed;
  bottom: 32px;
  font-size: 0.8rem;
  text-align: center;
  padding: 20px 0;
  background-color: #ffffff00;
  color: white;
  width: 100%;
  bottom: 0;
}

footer a {
  color: #00bfff;
  text-decoration: none;
}

footer p {
  margin: 0;
}

.content {
  display: flex;
  align-items: center;
  user-select: none;
}

.desc-icon img {
  height: 6.5rem;
  margin-right: 0.3125rem;
}

.desc-text {
  font-size: 5.5rem;
  line-height: 5.5rem;
  color: #fff;
  font-weight: bold;
}

button {
  cursor: pointer;
  margin: 0;
  padding: var(--n-padding);
  height: var(--n-height);
  font-size: var(--n-font-size);
  border-radius: var(--n-border-radius);
  color: var(--n-text-color);
  background-color: var(--n-color);
  width: var(--n-width);
  white-space: nowrap;
  outline: none;
  position: relative;
  z-index: auto;
  border: none;
  display: inline-flex;
  flex-wrap: nowrap;
  flex-shrink: 0;
  align-items: center;
  justify-content: center;
  user-select: none;
  -webkit-user-select: none;
  text-align: center;
  cursor: pointer;
  text-decoration: none;
  transition:
    color 0.3s var(--n-bezier),
    background-color 0.3s var(--n-bezier),
    opacity 0.3s var(--n-bezier),
    border-color 0.3s var(--n-bezier);
  -webkit-transition:
    color 0.3s var(--n-bezier),
    background-color 0.3s var(--n-bezier),
    opacity 0.3s var(--n-bezier),
    border-color 0.3s var(--n-bezier);
  -moz-transition:
    color 0.3s var(--n-bezier),
    background-color 0.3s var(--n-bezier),
    opacity 0.3s var(--n-bezier),
    border-color 0.3s var(--n-bezier);
  -ms-transition:
    color 0.3s var(--n-bezier),
    background-color 0.3s var(--n-bezier),
    opacity 0.3s var(--n-bezier),
    border-color 0.3s var(--n-bezier);
  -o-transition:
    color 0.3s var(--n-bezier),
    background-color 0.3s var(--n-bezier),
    opacity 0.3s var(--n-bezier),
    border-color 0.3s var(--n-bezier);
  height: 2.5rem;
  background-color: #fff;
}

button:hover {
  color: var(--n-text-color-hover);
}

.button-groups {
  display: flex;
}

.button-groups button {
  margin: 0 6px;
}

#button1 {
  background: #004f69;
  color: #fff;
}

#button1 .apple-logo {
  width: 1.2rem;
  margin-right: 0.25rem;
}

#button2 {
  color: #f0a020;
}

#button3 {
  color: #2080f0;
}

.tippy-box[data-theme~="light"] {
  background-color: rgb(255, 255, 255);
  color: rgb(0, 0, 0);
}

h2 {
  color: #ffffffb3;
  font-size: 1.5rem;
  font-weight: 100;
  margin-top: 1rem;
}

@media (max-width: 414px) {
  html {
    font-size: 12px;
  }
  .desc-icon {
    display: none;
  }
}

@media (min-width: 414px) and (max-width: 720px) {
  html {
    font-size: 14px;
  }
}

@media (min-width: 720px) and (max-width: 1280px) {
  html {
    font-size: 18px;
  }
}

@media (min-width: 1280px) and (max-width: 1600px) {
  html {
    font-size: 20px;
  }
}

@media (min-width: 1600px) and (max-width: 1920px) {
  html {
    font-size: 22px;
  }
}

@media (min-width: 1920px) and (max-width: 2560px) {
  html {
    font-size: 32px;
  }
}

@media (min-width: 2560px) and (max-width: 3840px) {
  html {
    font-size: 44px;
  }
}
